Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.cdo.internal.core
Class CDORepositoryData

    java.lang.Object
      org.eclipse.emf.ecp.cdo.internal.core.CDORepositoryData

All Implemented Interfaces:
  org.eclipse.emf.cdo.session.CDOSessionConfigurationFactory

    public final class CDORepositoryData

extends Object
implements org.eclipse.emf.cdo.session.CDOSessionConfigurationFactory

Provider-specific wrapper for an ECO `InternalRepository`.

Author:
  Eike Stepper

Constructor Summary
`CDORepositoryData(InternalRepository repository)` Constructor.

Method Summary
`org.eclipse.emf.cdo.net4j.CDONet4jSessionConfiguration` | `createSessionConfiguration()`
`InternalRepository` | `getRepository()` Get the `InternalRepository`.
`String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CDORepositoryData

    public CDORepositoryData(InternalRepository repository)

  Constructor.

  Parameters:
    `repository` - the `InternalRepository`

Method Detail

### getRepository

    public InternalRepository getRepository()

  Get the `InternalRepository`.

  Returns:
    the `InternalRepository`

### createSessionConfiguration

    public org.eclipse.emf.cdo.net4j.CDONet4jSessionConfiguration createSessionConfiguration()

  Specified by:
    `createSessionConfiguration` in interface `org.eclipse.emf.cdo.session.CDOSessionConfigurationFactory`
  See Also:
    `CDOSessionConfigurationFactory.createSessionConfiguration()`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.